Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class CIO

    java.lang.Object
      |
      +--oracle.apps.cz.cio.CIO

public class CIO
extends java.lang.Object

Implements a configuration integration object that can be used to create, save, restore and delete configurations.

Field Summary
`boolean` | `m_noRollBackSave`
`oracle.apps.cz.utilities.LogWriter` | `mLog`
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Constructor Summary
`CIO()` Constructs a newly allocated configuration integration object.

Method Summary
`void` | `clearLogicFile(java.lang.Object key)` Clears only the key specified file from the LCE file cache
`void` | `clearLogicFileCache()` Clears all LogicFile objects from the logic file cache.
`void` | `close()` Closes the CIO object and all associated runtime objects.
`void` | `closeConfiguration(oracle.apps.cz.cio.Configuration config)` Free up external resources (C allocated memory) associated with the configuration.
`oracle.apps.cz.cio.Configuration` | `createConfiguration(int rootNodeID, oracle.apps.fnd.common.Context ctx, oracle.apps.cz.cio.IUserInterface userInterface, java.util.Calendar modelLookupDate, java.util.Calendar eff_date, java.lang.String eff_usage_name, java.lang.String sessionId, oracle.apps.cz.utilities.NameValuePairSet initParameters, double bomInitialQuantity)` Deprecated. As of 11.5.9, use `startConfiguration` Creates a new configuration based on a root model node ID representing a configurable product or component.
`oracle.apps.cz.cio.Configuration` | `createConfiguration(int inventoryItemId, int organizationId, java.util.Date explosionDate, oracle.apps.fnd.common.Context ctx, oracle.apps.cz.cio.IUserInterface userInterface, java.util.Calendar modelLookupDate, java.util.Calendar eff_date, java.lang.String eff_usage_name, java.lang.String sessionId, oracle.apps.cz.utilities.NameValuePairSet initParameters, double bomInitialQuantity)` Deprecated. As of 11.5.9, use `startConfiguration` Creates a new BOM explosion configuration based on inventoryItemId, organizationId, and explosionDate representing a configurable product or component.
`java.lang.String` | `getActiveModelPath()` Gets the current active model path.
`static java.lang.String` | `getConfigInfo(long headerId, long rev, oracle.apps.fnd.common.Context ctx)` Returns a string representing a printout of the entire configuration specified, including all item inputs and values
`oracle.apps.cz.cio.InstalledBase` | `getInstalledBase(oracle.apps.fnd.common.Context context)` This method returns the repository for installed components.
`com.sun.java.util.collections.Collection` | `getProperties(oracle.apps.cz.dio.model.DbModelNode node, oracle.apps.fnd.common.Context context)` Returns a collection of the properties associated with this node.
`oracle.apps.cz.cio.Property` | `getPropertyById(int id, oracle.apps.cz.dio.model.DbModelNode node, oracle.apps.fnd.common.Context context)` Returns a particular property of this node, based on its ID.
`oracle.apps.cz.cio.Property` | `getPropertyByName(java.lang.String name, oracle.apps.cz.dio.model.DbModelNode node, oracle.apps.fnd.common.Context context)` Returns a particular property of this node, based on its name.
`oracle.apps.cz.cio.Configuration` | `restoreConfiguration(long configHeaderID, long revNumber, int rootNodeID, oracle.apps.fnd.common.Context ctx, oracle.apps.cz.cio.IUserInterface userInterface, java.util.Calendar modelLookupDate, java.util.Calendar eff_date, java.lang.String eff_usage_name, java.lang.String sessionId, oracle.apps.cz.utilities.NameValuePairSet initParameters, double bomInitialQuantity)` Deprecated. As of 11.5.9, use `startConfiguration` Restores a configuration from the database.
`void` | `setActiveModelPath(java.lang.String path)` Sets the path to the directory where the CIO will look for logic files, and where it will store logic files when generating them out of the database.
`void` | `setInstalledBase(oracle.apps.cz.cio.InstalledBase ib)` This method sets the repository for installed components.
`oracle.apps.cz.cio.Configuration` | `startConfiguration(oracle.apps.cz.cio.ConfigParameters configParams, oracle.apps.fnd.common.Context ctx)` This method creates a configuration based on the specified parameters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### m_noRollBackSave

    public boolean m_noRollBackSave

### mLog

    public oracle.apps.cz.utilities.LogWriter mLog

Constructor Detail

### CIO

    public CIO()

  Constructs a newly allocated configuration integration object.

Method Detail

### close

    public void close()

  Closes the CIO object and all associated runtime objects.

### startConfiguration

    public oracle.apps.cz.cio.Configuration startConfiguration(oracle.apps.cz.cio.ConfigParameters configParams,
                                                               oracle.apps.fnd.common.Context ctx)
                                                        throws LogicalException,
                                                               ModelLookupException,
                                                               oracle.apps.cz.utilities.EffectivityUsageException,
                                                               BomExplosionException

  This method creates a configuration based on the specified parameters. The value returned is used as an argument in the corresponding method, closeConfiguration. It is critical that closeConfiguration be called when you are finished with the configuration as it will free up external resources (C allocated memory) associated with the configuration. Failure to call closeConfiguration will lead to memory leaks.
  Parameters:
    `configParams` - a ConfigParameters object containing all the data necessary to create the configuration
    `ctx` - the Context object representing the application context
  Throws:
    `LogicalException` - if a logic failure is encountered when initializing the configuration.
    `MissingFileException` - if a logic file cannot be found in the active model path
    `ModelLookupException` - if the modelLookupDate is null
    `oracle.apps.cz.utilities.EffectivityUsageException` - if the effectivity is not valid
    `BomExplosionException`
  See Also:
    `Configuration`

### closeConfiguration

    public void closeConfiguration(oracle.apps.cz.cio.Configuration config)

  Free up external resources (C allocated memory) associated with the configuration. It is critical that this method be called when you are finished with the configuration as failure to do so will lead to memory leaks.
  Parameters:
    `config` - the configuration to be deleted. (Normally the value returned by startConfiguration.)
  See Also:
    `Configuration`

### setActiveModelPath

    public void setActiveModelPath(java.lang.String path)

  Sets the path to the directory where the CIO will look for logic files, and where it will store logic files when generating them out of the database.
  Parameters:
    `path` - the path to the active model directory which should include the trailing path separator.

### getActiveModelPath

    public java.lang.String getActiveModelPath()

  Gets the current active model path.
  Returns:
    the active model path.

### clearLogicFile

    public void clearLogicFile(java.lang.Object key)

  Clears only the key specified file from the LCE file cache

### clearLogicFileCache

    public void clearLogicFileCache()

  Clears all LogicFile objects from the logic file cache.

### setInstalledBase

    public void setInstalledBase(oracle.apps.cz.cio.InstalledBase ib)

  This method sets the repository for installed components. This repository object must be a subclass of the InstalledBase class

### getInstalledBase

    public oracle.apps.cz.cio.InstalledBase getInstalledBase(oracle.apps.fnd.common.Context context)

  This method returns the repository for installed components.

### getConfigInfo

    public static java.lang.String getConfigInfo(long headerId,
                                                 long rev,
                                                 oracle.apps.fnd.common.Context ctx)

  Returns a string representing a printout of the entire configuration specified, including all item inputs and values

### createConfiguration

    public oracle.apps.cz.cio.Configuration createConfiguration(int rootNodeID,
                                                                oracle.apps.fnd.common.Context ctx,
                                                                oracle.apps.cz.cio.IUserInterface userInterface,
                                                                java.util.Calendar modelLookupDate,
                                                                java.util.Calendar eff_date,
                                                                java.lang.String eff_usage_name,
                                                                java.lang.String sessionId,
                                                                oracle.apps.cz.utilities.NameValuePairSet initParameters,
                                                                double bomInitialQuantity)
                                                         throws LogicalException,
                                                                ModelLookupException,
                                                                oracle.apps.cz.utilities.EffectivityUsageException

  Deprecated. As of 11.5.9, use `startConfiguration` Creates a new configuration based on a root model node ID representing a configurable product or component.
  Parameters:
    `rootNodeID` - the ID of the DIO model node representing the product or configuration to be configured.
    `ctx` - the Context object representing the application context
    `userInterface` - the User Interface reference
    `modelLookupDate` - is the publication date to be saved with any future save
    `eff_date` - the Effectivity date
    `eff_usage_name` - the Effectivity Usage Name
    `sessionId` - the name of the user interface session
    `initParameters` - the session parameters
    `bomInitialQuantity` - the initial quantity of the root BOM Model. Pass 0 if not a BOM Model.
  Returns:
    a new configuration.
  Throws:
    `LogicalException` - if a logic failure is encountered when initializing the configuration.
    `MissingFileException` - if a logic file cannot be found in the active model path
    `ModelLookupException` - if the modelLookupDate is null
    `oracle.apps.cz.utilities.EffectivityUsageException` - if the effectivity is not valid

### createConfiguration

    public oracle.apps.cz.cio.Configuration createConfiguration(int inventoryItemId,
                                                                int organizationId,
                                                                java.util.Date explosionDate,
                                                                oracle.apps.fnd.common.Context ctx,
                                                                oracle.apps.cz.cio.IUserInterface userInterface,
                                                                java.util.Calendar modelLookupDate,
                                                                java.util.Calendar eff_date,
                                                                java.lang.String eff_usage_name,
                                                                java.lang.String sessionId,
                                                                oracle.apps.cz.utilities.NameValuePairSet initParameters,
                                                                double bomInitialQuantity)
                                                         throws LogicalException,
                                                                ModelLookupException,
                                                                BomExplosionException,
                                                                oracle.apps.cz.utilities.EffectivityUsageException

  Deprecated. As of 11.5.9, use `startConfiguration` Creates a new BOM explosion configuration based on inventoryItemId, organizationId, and explosionDate representing a configurable product or component.
  Parameters:
    `inventoryItemId` - the inventory item id of the BOM explosion model
    `organizationId` - the organization id of the BOM explosion model
    `explosionDate` - the effective date of the BOM explosion model
    `ctx` - the Context object representing the application context
    `userInterface` - the User Interface reference
    `modelLookupDate` - is the publication date to be saved with any future save
    `eff_date` - the Effectivity date
    `eff_usage_name` - the Effectivity Usage Name
    `sessionId` - the name of the user interface session
    `initParameters` - the session parameters
    `bomInitialQuantity` - the initial quantity of the root BOM Model. Pass 0 if not a BOM Model.
  Returns:
    a new configuration.
  Throws:
    `LogicalException` - if a logic failure is encountered when initializing the configuration.
    `ModelLookupException` - if the modelLookupDate is null
    `oracle.apps.cz.utilities.EffectivityUsageException` - if the effectivity is not valid
    `BomExplosionException`

### restoreConfiguration

    public oracle.apps.cz.cio.Configuration restoreConfiguration(long configHeaderID,
                                                                 long revNumber,
                                                                 int rootNodeID,
                                                                 oracle.apps.fnd.common.Context ctx,
                                                                 oracle.apps.cz.cio.IUserInterface userInterface,
                                                                 java.util.Calendar modelLookupDate,
                                                                 java.util.Calendar eff_date,
                                                                 java.lang.String eff_usage_name,
                                                                 java.lang.String sessionId,
                                                                 oracle.apps.cz.utilities.NameValuePairSet initParameters,
                                                                 double bomInitialQuantity)
                                                          throws LogicalException,
                                                                 ModelLookupException,
                                                                 oracle.apps.cz.utilities.EffectivityUsageException

  Deprecated. As of 11.5.9, use `startConfiguration` Restores a configuration from the database.
  Parameters:
    `configHeaderID` - the ID of the header containing information identifying the configuration to be restored.
    `revNumber` - the revision number of the header containing information identifying the configuration to be restored.
    `rootNodeID` - the ID of the root model node that the configuration will be restored against. Pass -1 to restore the default.
    `ctx` - the Context object representing the application context
    `userInterface` - the User Interface reference
    `modelLookupDate` - the publication date to be saved with any future save
    `eff_date` - the Effectivity date
    `eff_usage_name` - the Effectivity Usage Name
    `sessionId` - the name of the user interface session
    `initParameters` - the session parameters
    `bomInitialQuantity` - the initial quantity of the root BOM Model. Pass 0 to restore the default or if not a BOM Model.
  Returns:
    the restored configuration.
  Throws:
    `LogicalException` - if a logic failure is encountered when initializing the configuration.
    `MissingFileException` - if a logic file cannot be found in the active model path
    `ModelLookupException` - if the modelLookupDate is null
    `oracle.apps.cz.utilities.EffectivityUsageException` - if the effectivity is not valid

### getProperties

    public com.sun.java.util.collections.Collection getProperties(oracle.apps.cz.dio.model.DbModelNode node,
                                                                  oracle.apps.fnd.common.Context context)

  Returns a collection of the properties associated with this node. The collection contains items of the type IProperty.

### getPropertyByName

    public oracle.apps.cz.cio.Property getPropertyByName(java.lang.String name,
                                                         oracle.apps.cz.dio.model.DbModelNode node,
                                                         oracle.apps.fnd.common.Context context)

  Returns a particular property of this node, based on its name. Returns null if a property of the given name does not exist.

### getPropertyById

    public oracle.apps.cz.cio.Property getPropertyById(int id,
                                                       oracle.apps.cz.dio.model.DbModelNode node,
                                                       oracle.apps.fnd.common.Context context)

  Returns a particular property of this node, based on its ID. Returns null if a property of the given ID does not exist.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.